<?php
/**
 * Nutrition Facts Label Creator Functions
 *
 * @package Nutrition_Facts_Label_Creator
 * @since 1.0.0
 * @version 1.2.0
 */

// Register input type=number for VC shortcode map
function nflc_vc_textfield_form_field_number( $settings, $value ) {
	$value = htmlspecialchars( $value );

	return '<input name="' . $settings['param_name']
	. '" class="wpb_vc_param_value wpb-textinput '
	. $settings['param_name'] . ' ' . $settings['type']
	. '" type="number" value="' . $value . '" min="' . $settings['min'] . '" max="' . $settings['max'] . '"/>';
}
vc_add_shortcode_param( 'textfield_num', 'nflc_vc_textfield_form_field_number' );
?>